1. Anthony Bouchard's Avatar


    Not even 24 hours after Apple announces and releases iOS 5.1 to the public, the iPhone Dev-Team has already updated redsn0w to version 0.9.10b6 to support a TETHERED jailbreak for non-A5 device owners running iOS 5.1. Old bootrom iPhone 3GS models will still have the untethered jailbreak; iPad 2 and iPhone 4S owners will not be able to jailbreak at iOS 5.1 and there will be no way for them to downgrade back to iOS 5.0 or iOS 5.0.1 once Apple stops signing the iOS 5.0.1 firmware.

    Redsn0w 0.9.10b6 still supports the untethered jailbreak for iOS 5.0 and iOS 5.0.1 – there is no rush to update. In fact, in a recent blog post by the iPhone-Dev Team dubbed March Mayhem, you are advised to avoid upgrading to iOS 5.1 completely until an untethered jailbreak can be created. If you feel like a jailbreak is unimportant compared to being able to use iPhoto, delete photos from Photo Stream, and having an always existent camera slider on your lock screen, then you can update if you like; nothing groundbreaking was released in iOS 5.1.

    Because redsn0w 0.9.10b6 is a tethered jailbreak for non-A5 devices, you will need to ‘boot tethered’ every time you attempt to turn on or reboot your iDevice after you have applied the tethered jailbreak. The iPhone Dev-Team warns anyone relying on an unlock that wants to install iOS 5.1 and perform the tethered jailbreak to make a custom .ISPW file with the NO_BB_* version of iOS 5.1 to restore to. They say ultrasn0w will be updated in the next couple of days to support it.

    An iBooks fix is not existent in the iOS 5.1 tethered jailbreak, so if you rely on iBooks for your purchased content then this is another reason to stay away from iOS 5.1. A future version of redsn0w has been cited to contain a fix for iBooks. The full iPhone Dev-Team update below:

    Update #1: First, please read and re-read the above warnings! With all of that in mind, we realize that some of you non-A5 jailbreakers are itching to get to 5.1, even though there seems to be no compelling new feature there. Because of geohot’s limera1n exploit, those with devices earlier than the iPad2 can test the 5.1 jailbreak waters if they really want to, using redsn0w 0.9.10b6. Here’s what you need to know:

    • This is a *tethered* 5.1 jailbreak for non-A5 devices. You’ll need to use redsn0w to “Just Boot” your device every time it power cycles, otherwise jailbreak apps won’t work (neither will Safari).
    • If you use ultrasn0w for your carrier unlock, be sure to use a custom IPSW to get to 5.1 first! Don’t ever restore to a stock Apple IPSW! Use redsn0w’s “Custom IPSW” button to create a NO_BB_* version of the 5.1 IPSW and restore to that instead of the stock one. (That option is available only to 3GS and iPhone4-GSM owners.) ultrasn0w itself will be updated for 5.1 in the next few days (same baseband support, not 5.1’s baseband).
    • If you’re lucky enough to have an old-bootrom 3GS, this jailbreak is actually untethered (redsn0w will figure that part out automatically).
    • While we were at it, we added pod2g’s steaks4uce exploit to support MC models of the iPod touch 2G (whose last firmware was 4.2.1). So now redsn0w will auto-detect and jailbreak both MB and MC versions of that older device.
    • iBooks won’t work until a future update of redsn0w
    ModMyi's own advice to you? Stay away from iOS 5.1 until an untethered jailbreak is created.

    Here are the download links for redsn0w 0.9.10b6:
    Mac OS X
    Windows (Run in administrator mode)


    Sources: iPhone Dev-Team
    Last edited by Anthony Bouchard; 2012-03-08 at 06:34 PM.
    2012-03-08 06:30 PM
  2. 2k1's Avatar
    Now let's see when apple when stop signing for 5.0.1
    2012-03-08 06:57 PM
  3. hel22's Avatar
    just to be sure- I have a 3GS old bootrom, can I update and will it be fully untethered? want to be sure before I take the risk to update...
    2012-03-08 07:11 PM
  4. LanCo Rider's Avatar
    ^ dude are you serious? Did you not even read the very first sentence in this article?
    2012-03-08 07:14 PM
  5. hadzo's Avatar
    ^ dude are you serious? Did you not even read the very first sentence in this article? This is a TETHERED jail break!
    hey shake it easy bud.. did you read

    Old bootrom iPhone 3GS models will still have the untethered jailbreak
    in the second sentence lol
    2012-03-08 07:16 PM
  6. swifty7's Avatar
    i wonder how long before a 5.1 jailbreak for the A5 chips? I'm in no rush, I'm quite content with my current 5.01 jailbreak. Now the question is when will there be a jailbreak for the A5X chips. I hope the Dev team comes out with one before the iphone 5 is released.
    2012-03-08 07:39 PM
  7. scroogelives's Avatar
    i wonder how long before a 5.1 jailbreak for the A5 chips? I'm in no rush, I'm quite content with my current 5.01 jailbreak. Now the question is when will there be a jailbreak for the A5X chips. I hope the Dev team comes out with one before the iphone 5 is released.
    If there is a jail break for the new chip we would need to wait till the next iPhone was let in to the wild or we end up with a fixed jail break
    2012-03-08 08:04 PM
  8. Jastra's Avatar
    Be cool if one of the devs come out with a semi tether. I used that for months. Worked great.
    2012-03-08 08:35 PM
  9. James Hall's Avatar
    That was quick and I'm one of the "noobs" who clicked update now I'm on 5.1
    iPhone 4 iOS 5.0.1 JB
    2012-03-08 08:40 PM
  10. Greatbiguns's Avatar
    Go Dev-Team, Go Dev-Team!!!
    Can't wait for the Un-tethered Release and hoping it isn't too long for the "new iPad"...
    Thanks for all the hard work...
    2012-03-08 08:44 PM
  11. iPod's Avatar
    Tethered is better than none! Congrats Dev Team. Thank you and keep up the good work! Not bad for 1 day after release...
    2012-03-08 10:22 PM
  12. 2k1's Avatar
    Thanx for all the hard work dev team
    2012-03-08 10:24 PM
  13. PoEtikly's Avatar
    Yeah that was really fast, but non A5 tethered jb's usually are spit out pretty quick by these guys. It's the untethered exploits that take all the time. In content with 5.0.1. I really hope somebody figures out a way to downgrade the 4S. I'm really surprised iH8sn0w hasn't figured that out like he did the 5.0/5.0.1 fw's for iPhone 4 and older devices. That guy is pretty genius.
    2012-03-08 10:47 PM
  14. Tyrone30's Avatar
    I really screwed up! When I connected to iTunes it said there's an updated software available and now I'm stuck with 5.1 and no jailbreak. I foolishly thought that by doing a backup that it would allow me to restore back to the previous software version.
    2012-03-08 11:00 PM
  15. keenpois0n's Avatar
    Yeah that was really fast, but non A5 tethered jb's usually are spit out pretty quick by these guys. It's the untethered exploits that take all the time. In content with 5.0.1. I really hope somebody figures out a way to downgrade the 4S. I'm really surprised iH8sn0w hasn't figured that out like he did the 5.0/5.0.1 fw's for iPhone 4 and older devices. That guy is pretty genius.
    to downgrade 5.x, you need a bootrom exploit (as well as shsh). a4 and below have one (limerain), a5 does not. he used limerain to downgrade the a4, thus why a5 cannot downgrade!
    Last edited by keenpois0n; 2012-03-08 at 11:04 PM.
    2012-03-08 11:02 PM
  16. PoEtikly's Avatar
    to downgrade 5.x, you need a bootrom exploit. a4 and below have one (limerain), a5 does not. he used limerain to downgrade the a4, thus why a5 cannot downgrade!
    I realize that but I still hope he or somebody figures out how to downgrade the newer devices. It's obvious that the process he took for A4 and earlier devices will not work on A5 devices. Idk, perhaps it's not possible without using limerain, but I sure as hell hope a way is developed. I suppose IF it can be done devs like iH8sn0w, Dev Team, and CDT will figure it out.

    I really screwed up! When I connected to iTunes it said there's an updated software available and now I'm stuck with 5.1 and no jailbreak. I foolishly thought that by doing a backup that it would allow me to restore back to the previous software version.
    That really sucks!
    2012-03-08 11:10 PM
  17. hel22's Avatar
    LOL, first of all i'm not a dude but a LADY ;-)
    and I just wanted to be double sure, I can read but better annoying safe than sorry...
    2012-03-08 11:35 PM
  18. tvrshark's Avatar
    I have a 3GS. How do I tell if I have the old bootrom?
    2012-03-09 01:41 AM
  19. 2k1's Avatar
    I have a 3GS. How do I tell if I have the old bootrom?
    Download iDetector and follow instructions
    2012-03-09 02:05 AM
  20. tvrshark's Avatar
    Download iDetector and follow instructions
    Thanks 2k1! Turns out I do have the old bootrom
    2012-03-09 02:37 AM
83 123 ...
LINK TO POST COPIED TO CLIPBOARD
We have updated our Privacy Policy and Terms & Conditions. Please check them out.